Skip to main content
GET
/
policy
/
rules
List of Rules (Globally)
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/policy/rules \
  --header 'Authorization: Bearer <token>'
[
  "<unknown>"
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:policy_ruleset_id

Available sorts are policy_ruleset_id, is_imported, state, -ruleset_id, -is_imported, -state. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -policy_ruleset_id.

include
string

Available includes are qualified-users-count, staged-users-count. You can include multiple options by separating them with a comma.

page[size]
integer
default:500

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter
string
page
string
filter[policy_ruleset_id]
string

Filter by an exact match of the policy ruleset ID

filter[is_imported]
string

Filter by whether the rule was auto-imported

filter[state]
string

Filter by an exact match of the state field

Filter by a partial match of the description field

Filter by searching custom metadata key/value pairs for any partial string match

filter[created_before]
string

Filter by created before date

filter[created_after]
string

Filter by created after date

filter[updated_before]
string

Filter by updated before date

filter[updated_after]
string

Filter by updated after date

filter[expires_before]
string

Filter by expires before date

filter[expires_after]
string

Filter by expires after date

filter[deactivated_before]
string

Filter by deactivated before date

filter[deactivated_after]
string

Filter by deactivated after date

filter[deleted_before]
string

Filter by deleted before date

filter[deleted_after]
string

Filter by deleted after date

filter[trashed]
string

Include trashed records (with, only, without)

Response

LengthAwarePaginator